View Issue Details

IDProjectCategoryView StatusLast Update
0016418ScribusUser Interfacepublic2021-01-09 13:53
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016418: Unify margin and spacing for Character Palette
DescriptionIn this patch I propose to unify window margin and spacing for Character palette and child dialogs. I collect and separate them to one patch because the diff is ugly due of space changes. Please review it. Thanks.
TagsNo tags attached.
PatchNo

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2021-01-08 20:45

reporter  

0001-Unify-margin-and-spacing-for-Character-Palette.patch (13,395 bytes)
From 9ef18e261cc70cfab35f85414e0a2e70a8abfd85 Mon Sep 17 00:00:00 2001
Message-Id: <9ef18e261cc70cfab35f85414e0a2e70a8abfd85.1610138355.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Fri, 8 Jan 2021 21:38:54 +0100
Subject: [PATCH] Unify margin and spacing for Character Palette

- Unify margin and spacing
- Code style fixes: remove unnecessary spaces
---
 scribus/ui/charselect.ui         |  15 +++-
 scribus/ui/charselectenhanced.ui | 137 +++++++++++++++++--------------
 scribus/ui/unicodesearch.ui      |  54 ++++++------
 3 files changed, 117 insertions(+), 89 deletions(-)

diff --git a/scribus/ui/charselect.ui b/scribus/ui/charselect.ui
index ba14eec80..6e168e856 100644
--- a/scribus/ui/charselect.ui
+++ b/scribus/ui/charselect.ui
@@ -14,11 +14,20 @@
    <string>Character Palette</string>
   </property>
   <layout class="QGridLayout" name="gridLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item row="0" column="0">
     <layout class="QHBoxLayout">
-     <property name="spacing">
-      <number>1</number>
-     </property>
      <item>
       <widget class="QPushButton" name="enhancedDialogButton">
        <property name="toolTip">
diff --git a/scribus/ui/charselectenhanced.ui b/scribus/ui/charselectenhanced.ui
index e7e698a83..32aff6ee3 100644
--- a/scribus/ui/charselectenhanced.ui
+++ b/scribus/ui/charselectenhanced.ui
@@ -1,7 +1,8 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>CharSelectEnhanced</class>
- <widget class="QDialog" name="CharSelectEnhanced" >
-  <property name="geometry" >
+ <widget class="QDialog" name="CharSelectEnhanced">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
@@ -9,29 +10,41 @@
     <height>492</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Enhanced Character Palette</string>
   </property>
-  <layout class="QGridLayout" name="gridLayout" >
-   <item row="0" column="0" >
-    <widget class="QLabel" name="label" >
-     <property name="text" >
+  <layout class="QGridLayout" name="gridLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
+   <item row="0" column="0">
+    <widget class="QLabel" name="label">
+     <property name="text">
       <string>&amp;Font:</string>
      </property>
-     <property name="buddy" >
+     <property name="buddy">
       <cstring>fontSelector</cstring>
      </property>
     </widget>
    </item>
-   <item row="0" column="1" >
-    <widget class="FontCombo" name="fontSelector" />
+   <item row="0" column="1">
+    <widget class="FontCombo" name="fontSelector"/>
    </item>
-   <item row="0" column="2" >
+   <item row="0" column="2">
     <spacer>
-     <property name="orientation" >
+     <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
-     <property name="sizeHint" stdset="0" >
+     <property name="sizeHint" stdset="0">
       <size>
        <width>38</width>
        <height>20</height>
@@ -39,25 +52,25 @@
      </property>
     </spacer>
    </item>
-   <item row="0" column="3" >
-    <widget class="QLabel" name="label_2" >
-     <property name="text" >
+   <item row="0" column="3">
+    <widget class="QLabel" name="label_2">
+     <property name="text">
       <string>C&amp;haracter Class:</string>
      </property>
-     <property name="buddy" >
+     <property name="buddy">
       <cstring>rangeSelector</cstring>
      </property>
     </widget>
    </item>
-   <item row="0" column="4" >
-    <widget class="QComboBox" name="rangeSelector" />
+   <item row="0" column="4">
+    <widget class="QComboBox" name="rangeSelector"/>
    </item>
-   <item row="0" column="5" >
+   <item row="0" column="5">
     <spacer>
-     <property name="orientation" >
+     <property name="orientation">
       <enum>Qt::Horizontal</enum>
      </property>
-     <property name="sizeHint" stdset="0" >
+     <property name="sizeHint" stdset="0">
       <size>
        <width>66</width>
        <height>28</height>
@@ -65,57 +78,57 @@
      </property>
     </spacer>
    </item>
-   <item row="1" column="0" colspan="6" >
-    <widget class="CharTableView" name="m_charTable" >
-     <property name="minimumSize" >
+   <item row="1" column="0" colspan="6">
+    <widget class="CharTableView" name="m_charTable">
+     <property name="minimumSize">
       <size>
        <width>340</width>
        <height>0</height>
       </size>
      </property>
-     <property name="toolTip" >
+     <property name="toolTip">
       <string>You can see a thumbnail if you press and hold down the right mouse button.
 The Insert key inserts a Glyph into the Selection below and the Delete key removes the last inserted one</string>
      </property>
-     <property name="dragDropOverwriteMode" >
+     <property name="dragDropOverwriteMode">
       <bool>false</bool>
      </property>
-     <property name="dragDropMode" >
+     <property name="dragDropMode">
       <enum>QAbstractItemView::DragOnly</enum>
      </property>
-     <property name="selectionMode" >
+     <property name="selectionMode">
       <enum>QAbstractItemView::SingleSelection</enum>
      </property>
     </widget>
    </item>
-   <item row="2" column="0" colspan="6" >
-    <layout class="QHBoxLayout" name="horizontalLayout" >
+   <item row="2" column="0" colspan="6">
+    <layout class="QHBoxLayout" name="horizontalLayout">
      <item>
-      <widget class="QLabel" name="label_3" >
-       <property name="text" >
+      <widget class="QLabel" name="label_3">
+       <property name="text">
         <string>Insert &amp;Code:</string>
        </property>
-       <property name="buddy" >
+       <property name="buddy">
         <cstring>hexLineEdit</cstring>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QLineEdit" name="hexLineEdit" >
-       <property name="toolTip" >
+      <widget class="QLineEdit" name="hexLineEdit">
+       <property name="toolTip">
         <string>Type in a four digit Unicode value directly here</string>
        </property>
-       <property name="maxLength" >
+       <property name="maxLength">
         <number>32767</number>
        </property>
       </widget>
      </item>
      <item>
-      <spacer name="horizontalSpacer" >
-       <property name="orientation" >
+      <spacer name="horizontalSpacer">
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
-       <property name="sizeHint" stdset="0" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>40</width>
          <height>20</height>
@@ -125,24 +138,24 @@ The Insert key inserts a Glyph into the Selection below and the Delete key remov
      </item>
     </layout>
    </item>
-   <item row="3" column="0" colspan="6" >
-    <widget class="QGroupBox" name="groupBox" >
-     <property name="title" >
+   <item row="3" column="0" colspan="6">
+    <widget class="QGroupBox" name="groupBox">
+     <property name="title">
       <string>Glyphs to Insert</string>
      </property>
-     <layout class="QGridLayout" name="gridLayout_1" >
-      <item row="0" column="0" >
-       <widget class="QLabel" name="sample" >
-        <property name="minimumSize" >
+     <layout class="QGridLayout" name="gridLayout_1">
+      <item row="0" column="0">
+       <widget class="QLabel" name="sample">
+        <property name="minimumSize">
          <size>
           <width>460</width>
           <height>48</height>
          </size>
         </property>
-        <property name="frameShape" >
+        <property name="frameShape">
          <enum>QFrame::Box</enum>
         </property>
-        <property name="lineWidth" >
+        <property name="lineWidth">
          <number>1</number>
         </property>
        </widget>
@@ -150,14 +163,14 @@ The Insert key inserts a Glyph into the Selection below and the Delete key remov
      </layout>
     </widget>
    </item>
-   <item row="4" column="0" colspan="6" >
-    <layout class="QHBoxLayout" name="_2" >
+   <item row="4" column="0" colspan="6">
+    <layout class="QHBoxLayout" name="_2">
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
-       <property name="sizeHint" stdset="0" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>40</width>
          <height>20</height>
@@ -166,27 +179,27 @@ The Insert key inserts a Glyph into the Selection below and the Delete key remov
       </spacer>
      </item>
      <item>
-      <widget class="QPushButton" name="insertButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="insertButton">
+       <property name="toolTip">
         <string>Insert the characters at the cursor in the text</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>&amp;Insert</string>
        </property>
-       <property name="autoDefault" >
+       <property name="autoDefault">
         <bool>false</bool>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="deleteButton" >
-       <property name="toolTip" >
+      <widget class="QPushButton" name="deleteButton">
+       <property name="toolTip">
         <string>Delete the current selection(s).</string>
        </property>
-       <property name="text" >
+       <property name="text">
         <string>C&amp;lear</string>
        </property>
-       <property name="autoDefault" >
+       <property name="autoDefault">
         <bool>false</bool>
        </property>
       </widget>
diff --git a/scribus/ui/unicodesearch.ui b/scribus/ui/unicodesearch.ui
index 25a55167a..693dc4240 100644
--- a/scribus/ui/unicodesearch.ui
+++ b/scribus/ui/unicodesearch.ui
@@ -1,8 +1,9 @@
-<ui version="4.0" >
- <author>Petr Vanek &lt;petr@scribus.info></author>
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <author>Petr Vanek &lt;petr@scribus.info&gt;</author>
  <class>UnicodeSearch</class>
- <widget class="QDialog" name="UnicodeSearch" >
-  <property name="geometry" >
+ <widget class="QDialog" name="UnicodeSearch">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
@@ -10,52 +11,57 @@
     <height>208</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Unicode Search</string>
   </property>
-  <layout class="QGridLayout" >
-   <property name="margin" >
-    <number>1</number>
+  <layout class="QGridLayout">
+   <property name="leftMargin">
+    <number>9</number>
    </property>
-   <property name="spacing" >
-    <number>1</number>
+   <property name="topMargin">
+    <number>9</number>
    </property>
-   <item row="0" column="0" >
-    <widget class="QLabel" name="textLabel1" >
-     <property name="text" >
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
+   <item row="0" column="0">
+    <widget class="QLabel" name="textLabel1">
+     <property name="text">
       <string>&amp;Search:</string>
      </property>
-     <property name="wordWrap" >
+     <property name="wordWrap">
       <bool>false</bool>
      </property>
-     <property name="buddy" >
+     <property name="buddy">
       <cstring>searchEdit</cstring>
      </property>
     </widget>
    </item>
-   <item row="0" column="1" >
-    <widget class="QLineEdit" name="searchEdit" >
-     <property name="toolTip" >
+   <item row="0" column="1">
+    <widget class="QLineEdit" name="searchEdit">
+     <property name="toolTip">
       <string>Enter the search phrase. Then press Enter.</string>
      </property>
     </widget>
    </item>
-   <item row="1" column="0" colspan="2" >
-    <widget class="QTableView" name="tableView" >
-     <property name="alternatingRowColors" >
+   <item row="1" column="0" colspan="2">
+    <widget class="QTableView" name="tableView">
+     <property name="alternatingRowColors">
       <bool>true</bool>
      </property>
-     <property name="selectionMode" >
+     <property name="selectionMode">
       <enum>QAbstractItemView::SingleSelection</enum>
      </property>
-     <property name="selectionBehavior" >
+     <property name="selectionBehavior">
       <enum>QAbstractItemView::SelectRows</enum>
      </property>
     </widget>
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11" />
  <resources/>
  <connections/>
 </ui>
-- 
2.27.0

glyphs.gif (88,932 bytes)
glyphs.gif (88,932 bytes)

jghali

2021-01-09 13:53

administrator   ~0048657

Applied, thanks!

Issue History

Date Modified Username Field Change
2021-01-08 20:45 bubu New Issue
2021-01-08 20:45 bubu File Added: 0001-Unify-margin-and-spacing-for-Character-Palette.patch
2021-01-08 20:45 bubu File Added: glyphs.gif
2021-01-09 06:39 PeterBenedek Relationship added child of 0013906
2021-01-09 13:53 jghali Assigned To => jghali
2021-01-09 13:53 jghali Status new => resolved
2021-01-09 13:53 jghali Resolution open => fixed
2021-01-09 13:53 jghali Fixed in Version => 1.5.7.svn
2021-01-09 13:53 jghali Note Added: 0048657